> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> List of public, Cartesia-provided agent templates to help you get started.



## OpenAPI

````yaml /latest.yml GET /agents/templates
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /agents/templates:
    get:
      tags:
        - Agents
      summary: List Templates
      description: >-
        List of public, Cartesia-provided agent templates to help you get
        started.
      operationId: agents_templates
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTemplatesResponse'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    GetTemplatesResponse:
      title: GetTemplatesResponse
      type: object
      properties:
        templates:
          type: array
          items:
            $ref: '#/components/schemas/AgentTemplate'
          description: List of agent templates.
      required:
        - templates
    AgentTemplate:
      title: AgentTemplate
      type: object
      properties:
        id:
          type: string
          description: The ID of the agent template.
        name:
          type: string
          description: The name of the agent template.
        description:
          type: string
          nullable: true
          description: The description of the agent template.
        repo_url:
          type: string
          description: The URL of the Git repository associated with the agent template.
        root_dir:
          type: string
          description: The root directory of the agent template.
        required_env_vars:
          type: array
          items:
            type: string
          nullable: true
          description: The required environment variables for the agent template.
        dependencies:
          type: array
          items:
            type: string
          nullable: true
          description: The dependencies of the agent template.
        owner_id:
          type: string
          description: The ID of the owner of the agent template.
        created_at:
          type: string
          format: date-time
          description: The UTC timestamp when the agent template was created.
        updated_at:
          type: string
          format: date-time
          description: The UTC timestamp when the agent template was last updated.
      required:
        - id
        - name
        - repo_url
        - root_dir
        - owner_id
        - created_at
        - updated_at
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````